package org.seamframework.sql;

import java.sql.SQLException;

public class ExecutableUpdate extends ExecutableStatement {

	public ExecutableUpdate(Update<?> update, Session session) {
		super(update, session);
		
	}

	public ExecutableUpdate(String update, Session session) {
		super(update, session);
	}
	
	public int executeUpdate() {
		try {
			return getPreparedStatement().executeUpdate();
		}
		catch (SQLException sqle) {
			throw new RuntimeException(sqle);
		}
	}
	
}
